package com.sky.ioc.mapper;

import com.sky.ioc.entity.domain.space.BuildingSpace;
import com.sky.ioc.entity.params.IocParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BuildingSpaceMapper {

    @Select("<script>" +
            "SELECT * FROM fitnes where 1=1 " +
            "<if test='iocParam!=null and iocParam.companyId != null '>" +
            " and company_id=#{iocParam.companyId} " +
            "</if>"+
            "<if test='iocParam!=null and iocParam.floorId != null '>" +
            " and tier = #{iocParam.floorId} " +
            "</if>"+
            "</script>")
    BuildingSpace getByCompanyIdAndTier(@Param("iocParam") IocParam iocParam);
}
